## kget 16.08.0

=== sounds/CMakeLists.txt ===
install(FILES kget.notifyrc DESTINATION ${DATA_INSTALL_DIR}/kget)

#install(FILES
#   KGet_Added.ogg
#   KGet_Finished.ogg
#   KGet_Finished_All.ogg
#   KGet_Started.ogg
#DESTINATION ${SOUND_INSTALL_DIR})

=== transfer-plugins/bittorrent/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/x-bittorrent;" PARENT_SCOPE)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories(
    ../../
    ${LIBKTORRENT_INCLUDE_DIR}
)
set(kget_bittorrentfactory_PART_SRCS
    bttransfer.cpp
    bttransferfactory.cpp
    bttransferhandler.cpp
    btdetailswidget.cpp
    scandlg.cpp
    #btdatasource.cpp
    #btchunkselector.cpp
    #btcache.cpp
    advanceddetails/btadvanceddetailswidget.cpp
    advanceddetails/chunkdownloadmodel.cpp
    advanceddetails/chunkdownloadview.cpp
    advanceddetails/fileview.cpp
    advanceddetails/iwfilelistmodel.cpp
    advanceddetails/iwfiletreemodel.cpp
    advanceddetails/peerview.cpp
    advanceddetails/peerviewmodel.cpp
    advanceddetails/torrentfilelistmodel.cpp
    advanceddetails/torrentfilemodel.cpp
    advanceddetails/torrentfiletreemodel.cpp
    advanceddetails/monitor.cpp
    advanceddetails/trackerview.cpp
    advanceddetails/trackermodel.cpp
    advanceddetails/webseedsmodel.cpp
    advanceddetails/webseedstab.cpp
    )

kde4_add_ui_files(kget_bittorrentfactory_PART_SRCS
    btdetailswidgetfrm.ui
    scandlg.ui
    advanceddetails/chunkdownloadview.ui
    advanceddetails/trackerview.ui
    advanceddetails/webseedstab.ui
    )

kde4_add_kcfg_files(kget_bittorrentfactory_PART_SRCS bittorrentsettings.kcfgc)
kde4_add_plugin(kget_bittorrentfactory ${kget_bittorrentfactory_PART_SRCS})

target_link_libraries(kget_bittorrentfactory ${KDE4_KIO_LIBS} ${LIBKTORRENT_LIBRARIES} kgetcore)
install(TARGETS kget_bittorrentfactory DESTINATION  ${PLUGIN_INSTALL_DIR})
install(FILES kget_bittorrentfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_bittorrentfactory_PART_SRCS
    btsettingswidget.cpp
    )

kde4_add_ui_files(kcm_kget_bittorrentfactory_PART_SRCS
    btsettingswidget.ui
    )

kde4_add_kcfg_files(kcm_kget_bittorrentfactory_PART_SRCS bittorrentsettings.kcfgc)
kde4_add_plugin(kcm_kget_bittorrentfactory ${kcm_kget_bittorrentfactory_PART_SRCS})
target_link_libraries(kcm_kget_bittorrentfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kcm_kget_bittorrentfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_bittorrentfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== transfer-plugins/mirrorsearch/CMakeLists.txt ===
include_directories(
   ../../
)

set(kget_mirrorsearchfactory_PART_SRCS
  mirrors.cpp
  mirrorsearchtransferdatasource.cpp
  mirrorsearchfactory.cpp
)

kde4_add_kcfg_files(kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)

kde4_add_plugin(kget_mirrorsearchfactory ${kget_mirrorsearchfactory_PART_SRCS})

target_link_libraries(kget_mirrorsearchfactory ${KDE4_KIO_LIBS} kgetcore)

install(TARGETS kget_mirrorsearchfactory DESTINATION  ${PLUGIN_INSTALL_DIR})
install(FILES kget_mirrorsearchfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES kget_mirrorsearchfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.cpp
)

kde4_add_ui_files(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.ui 
  dlgengineediting.ui
)

kde4_add_kcfg_files(kcm_kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)
kde4_add_plugin(kcm_kget_mirrorsearchfactory ${kcm_kget_mirrorsearchfactory_PART_SRCS})
target_link_libraries(kcm_kget_mirrorsearchfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kcm_kget_mirrorsearchfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_mirrorsearchfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kget (4:16.08.0-2) unstable; urgency=medium

  * New upstream release (16.08.0)
  * Disable kdepimlibs build dependency

 -- Maximiliano Curia <maxy@debian.org>  Tue, 18 Oct 2016 23:56:58 +0200

kget (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop forcing the local installation to debian/tmp, letting the package
    directory as install place.
    - manually remove only the files (i.e. .so symlinks) that are not needed
    - remove get.install, no more used now
    - remove not-installed file, no more used now
  * Remove unused dh_auto_configure override (does nothing more than the tool
    itself).

 -- Pino Toscano <pino@debian.org>  Sat, 27 Aug 2016 23:40:05 +0200

kget (4:15.12.1-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 18:15:02 +0200

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.9~),
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               libboost-dev,
               libgpgme11-dev,
               libjs-mootools,
               libktorrent-dev (>= 1.1),
               libmms-dev,
               libqca2-dev (>= 2.0.0),
               libsoprano-dev,
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               shared-desktop-ontologies (>= 0.8)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kget.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kget.git

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command)
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kget -name '*.so' -type l -print -delete

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kget-([\d.]+).tar.xz

## kget 16.12.3

=== debian/changelog ===
kget (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:27:59 +0000

kget (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:16:37 +0000

kget (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: no remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Remove malformed override
  * Add cmake-ignore for Nepomuk

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:21 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev,
+               kdelibs5-dev (>= 4:4.14.30~),
+               kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
@@ -23,10 +24,10 @@
                pkg-config,
                pkg-kde-tools (>= 0.12),
                shared-desktop-ontologies (>= 0.8)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: http://www.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kget.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net

## kget 17.04.3

=== debian/changelog ===
kget (4:17.04.3-0ubuntu1) artful; urgency=low

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * For now do not build against libktorrent, as this prevents us
    upgrading ktorrent to the latest KF5 based release. Once kget KF5
    port is completed this can be reverted.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:32:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,12 +11,11 @@
 Build-Depends: cmake (>= 2.8.9~),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.30~),
+               kdelibs5-dev (>= 4:4.14.34~),
                kdepimlibs5-dev (>= 4:4.14),
                libboost-dev,
                libgpgme11-dev,
                libjs-mootools,
-               libktorrent-dev (>= 1.1),
                libmms-dev,
                libqca2-dev (>= 2.0.0),
                libsoprano-dev,

## kget 17.12.3

=== desktop/CMakeLists.txt ===
# associate KGet with the correct mimetypes
configure_file(org.kde.kget.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.desktop)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kget_download.desktop DESTINATION
${SERVICES_INSTALL_DIR}/ServiceMenus)

# For DBus activation:
configure_file(org.kde.kget.service.in
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.kget.service
    DESTINATION ${DBUS_SERVICES_INSTALL_DIR})

=== extensions/CMakeLists.txt ===
add_subdirectory(konqueror)
#add_subdirectory(webinterface)
#TODO: Port this to KDE5

=== transfer-plugins/CMakeLists.txt ===
add_subdirectory(kio)
add_subdirectory(multisegmentkio)
add_subdirectory(metalink)
if (KF5Torrent_FOUND)
  add_subdirectory(bittorrent)
endif (KF5Torrent_FOUND)
add_subdirectory(mirrorsearch)
#add_subdirectory(contentfetch)
if (LIBMMS_FOUND)
  add_subdirectory(mmsthreads)
endif (LIBMMS_FOUND)
add_subdirectory(checksumsearch)

SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}" PARENT_SCOPE)

=== ui/CMakeLists.txt ===
add_subdirectory(icons)
add_subdirectory(pics)


install(FILES kgetui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}/kget)

=== transfer-plugins/metalink/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/metalink+xml;" PARENT_SCOPE)

include_directories(
   ../../
)

set(kget_metalinkfactory_PART_SRCS
  metalinkfactory.cpp
  abstractmetalink.cpp
  metalinkxml.cpp
  metalinkhttp.cpp
  fileselectiondlg.cpp
  ../../ui/metalinkcreator/metalinker.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kget_metalinkfactory_PART_SRCS
    fileselection.ui
)

kconfig_add_kcfg_files(kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)
add_library(kget_metalinkfactory MODULE ${kget_metalinkfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_metalinkfactory kget_metalinkfactory.desktop)
target_link_libraries(kget_metalinkfactory kgetcore)

install(TARGETS kget_metalinkfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})


###Build KCM-Module
set(kcm_kget_metalinkfactory_PART_SRCS
    dlgmetalink.cpp
    ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_metalinkfactory_PART_SRCS
dlgmetalink.ui
)

kconfig_add_kcfg_files(kcm_kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)
add_library(kcm_kget_metalinkfactory MODULE ${kcm_kget_metalinkfactory_PART_SRCS})
target_link_libraries(kcm_kget_metalinkfactory KF5::I18n KF5::ConfigGui KF5::KDELibs4Support)
install(TARGETS kcm_kget_metalinkfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_metalinkfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== transfer-plugins/mirrorsearch/CMakeLists.txt ===
include_directories(
   ../../
)

set(kget_mirrorsearchfactory_PART_SRCS
  mirrors.cpp
  mirrorsearchtransferdatasource.cpp
  mirrorsearchfactory.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)

add_library(kget_mirrorsearchfactory MODULE ${kget_mirrorsearchfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_mirrorsearchfactory kget_mirrorsearchfactory.desktop)
target_link_libraries(kget_mirrorsearchfactory ${KDE4_KIO_LIBS} kgetcore)

install(TARGETS kget_mirrorsearchfactory DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_mirrorsearchfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.ui 
  dlgengineediting.ui
)

kconfig_add_kcfg_files(kcm_kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)
add_library(kcm_kget_mirrorsearchfactory MODULE ${kcm_kget_mirrorsearchfactory_PART_SRCS})
target_link_libraries(kcm_kget_mirrorsearchfactory KF5::I18n KF5::KDELibs4Support)
install(TARGETS kcm_kget_mirrorsearchfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_mirrorsearchfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== ui/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-apps-kget.png
        22-apps-kget.png
        32-apps-kget.png
        48-apps-kget.png
        64-apps-kget.png
        128-apps-kget.png
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)

=== transfer-plugins/contentfetch/scripts/CMakeLists.txt ===
install(FILES youtubedl/kget_youtubedl.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/kget_youtubedl_option.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/ui_youtube_option.py DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)
install(FILES youtubedl/youtube_option.ui DESTINATION ${DATA_INSTALL_DIR}/kget/content_fetch_scripts/youtubedl)

=== debian/changelog ===
kget (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:54 +0000

kget (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Remove disable_kget_test_transfers & disable_kget-verifiertest
    patches as they no longer apply to upstream code
  * Port packaging to KF5

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * Drop patch disable-plasma.diff
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Breaks/replaces against conflicting kde-l10n

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:57:48 +0000

kget (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * Sync debian changes from 16.08 in sid; including
    - Disable kdepimlibs build dependency
    - Remove unused patches and build flag for tests

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 18 Dec 2017 09:51:03 +0000

kget (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:05:39 +0000

kget (4:16.08.0-5~) UNRELEASED; urgency=medium

  * New revision
  * Update uploaders list as requested by MIA team (Closes: #879341)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 Oct 2017 18:00:51 +0100

kget (4:16.08.0-4) unstable; urgency=medium

  * Team upload.
  * Drop the libgpgme11-dev build dependency, since it is not used.
  * Pass -DKDE4_BUILD_TESTS=OFF to cmake to disable the build of unit tests,
    since they are not run anyway.
  * Update the patches:
    - disable_kget_test_transfers: drop, only for not run unit tests (and with
      unclear status and reasons)
    - disable_kget-verifiertest: drop, only for not run unit tests (and with
      unclear status and reasons)
    - kget_testjob_finished_stays: drop, only for not run unit tests (and with
      unclear status and reasons)
  * Bump Standards-Version to 4.1.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Sep 2017 08:38:07 +0200

kget (4:16.08.0-3) unstable; urgency=medium

  * Team upload.
  * Update the build dependencies:
    - drop libktorrent-dev to disable the torrent support, since libktorrent
      is currently updated to the KF5 version
    - drop libsoprano-dev, and shared-desktop-ontologies, as the Nepomuk
      support was dropped long ago
  * Disable the build of applets and runner for Plasma4 since they are not
    useful without a Plasma4 environment; patch disable-plasma.diff.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2017 21:00:10 +0200

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules,
               libgpgme-dev,
               libgpgmepp-dev,
               libkf5completion-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5iconthemes-dev,
               libkf5itemviews-dev,
               libkf5kcmutils-dev,
               libkf5kdelibs4support-dev,
               libkf5kio-dev,
               libkf5notifications-dev,
               libkf5notifyconfig-dev,
               libkf5parts-dev,
               libkf5service-dev,
               libkf5solid-dev,
               libkf5textwidgets-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libkf5windowsystem-dev,
               libkf5xmlgui-dev,
               libktorrent-dev,
               libmms-dev,
               libqca-qt5-2-dev,
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 4.1.0
Homepage: http://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk
+l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
+
+include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
+include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
 override_dh_auto_install:
 	$(overridden_command)

## kget 18.04.3

=== debian/changelog ===
kget (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * Add opional build dep on plasma-workspace-dev
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:17:19 +0100

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,8 @@
                libsqlite3-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.2.0~)
+               plasma-workspace-dev,
+               qtbase5-dev (>= 5.2.0~),
 Standards-Version: 4.1.0
 Homepage: http://www.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget

## kget 18.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "18")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "0")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kget VERSION ${KDE_APPLICATIONS_VERSION})

set(KF5_VERSION "5.44.0")
set(REQUIRED_QT_VERSION "5.7.0")

find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS DBus Gui Network Sql Test Widgets Xml)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KGET VERSION_HEADER "kget_version.h")

find_package(KF5 ${KF5_VERSION} REQUIRED
    Completion
    Config
    ConfigWidgets
    CoreAddons
    DBusAddons
    DocTools
    I18n
    IconThemes
    ItemViews
    KCMUtils
    KDELibs4Support
    KIO
    Notifications
    NotifyConfig
    Parts
    Service
    Solid
    TextWidgets
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
)

#TODO: Check if we need all the dependencies

#include(CheckIncludeFile)
#include(CheckIncludeFiles)
#include(CheckSymbolExists)
#include(CheckFunctionExists)
#include(CheckLibraryExists)
#include(CheckPrototypeExists)
#include(CheckTypeSize)

#set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
if(WIN32)
   set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
   set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)
#add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
#add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Sqlite QUIET)
set_package_properties(SQLITE_FOUND PROPERTIES DESCRIPTION "SQLite is a Binary-Database" TYPE RECOMMENDED PURPOSE "Needed for the SQLite-Backend of the KGet-History") 

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://delta.affinix.com/qca"
                       TYPE REQUIRED)


find_package(Gpgmepp 1.7.0)
set_package_properties(Gpgmepp_FOUND PROPERTIES DESCRIPTION "The GpgME++ library" URL "http://www.gnupg.org" TYPE RECOMMENDED PURPOSE "GpgME++ is required to have signature verifying support in KGet.")

find_package(KF5Torrent 2.1)
set_package_properties(KF5Torrent_FOUND PROPERTIES DESCRIPTION "Backend Library of KTorrent" TYPE RECOMMENDED PURPOSE "Needed to build KGet bittorrent support.")

find_package(LibMms QUIET)
set_package_properties(LIBMMS_FOUND PROPERTIES DESCRIPTION "Library to read mms streams" TYPE RECOMMENDED PURPOSE "Needed to build KGet mms support.") 

set(kget_adaptor_SRCS
    dbus/dbuskgetwrapper.cpp
)
# set(kget_transfer_adaptor_SRCS
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
# )

#add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5001)  //TODO: PORT THIS!!

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

if (Qca-qt5_FOUND)
    add_definitions(-DHAVE_QCA2)
MESSAGE(STATUS "QCA found")
endif()

find_package(Boost REQUIRED)

if(Gpgmepp_FOUND)
    find_package(QGpgme REQUIRED)
    add_definitions(-DHAVE_QGPGME)
endif()

set (KGET_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kget)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
#add_subdirectory(plasma) TODO PORT TO KF5/QML
add_subdirectory(tests)
add_subdirectory(doc)

find_package(LibKWorkspace CONFIG)
set_package_properties(LibKWorkspace PROPERTIES TYPE OPTIONAL PURPOSE "Allows 'shutdown after downloads completed' in kget")
if(LibKWorkspace_FOUND)
    add_definitions(-DHAVE_KWORKSPACE)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif(SQLITE_FOUND)


remove_definitions(-DQT_NO_HTTP)

# kgetcore

set(kgetcore_SRCS
   core/job.cpp
   core/jobqueue.cpp
   core/kget.cpp
   core/scheduler.cpp
   core/transfertreemodel.cpp
   core/transfertreeselectionmodel.cpp
   core/transfer.cpp
   core/transfergroup.cpp
   core/transfergrouphandler.cpp
   core/transferhandler.cpp
   core/handler.cpp
   core/transfergroupscheduler.cpp
   core/plugin/plugin.cpp
   core/plugin/transferfactory.cpp
   core/transferdatasource.cpp
   core/datasourcefactory.cpp
   core/kgetkjobadapter.cpp
   core/kuiserverjobs.cpp
   core/kgetglobaljob.cpp
   core/bitset.cpp
   core/download.cpp
   core/transferhistorystore.cpp
   core/transferhistorystore_xml.cpp
   core/transferhistorystore_sqlite.cpp
   core/linkimporter.cpp
   dbus/dbustransferwrapper.cpp
   dbus/dbusverifierwrapper.cpp
   core/filemodel.cpp
   core/verifier.cpp
   core/verificationthread.cpp
   core/verificationmodel.cpp
   core/verificationdelegate.cpp
   core/signature.cpp
   core/signaturethread.cpp
   core/keydownloader.cpp
   core/urlchecker.cpp
   core/basedialog.cpp
   core/mostlocalurl.cpp
   core/filedeleter.cpp
)

ecm_qt_declare_logging_category(kgetcore_SRCS
                                HEADER kget_debug.h
                                IDENTIFIER KGET_DEBUG
                                CATEGORY_NAME kget)

kconfig_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)

qt5_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt5_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.verifier.xml dbus/dbusverifierwrapper.h DBusVerifierWrapper)


add_library(kgetcore SHARED ${kgetcore_SRCS})
generate_export_header(kgetcore BASE_NAME kget)

target_link_libraries(kgetcore Qt5::Core Qt5::Widgets Qt5::Sql Qt5::Network Qt5::DBus KF5::DBusAddons KF5::I18n KF5::CoreAddons KF5::IconThemes KF5::KDELibs4Support)

if(LibKWorkspace_FOUND)
    target_link_libraries(kgetcore PW::KWorkspace)
endif()

if (SQLITE_FOUND)
  target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif (SQLITE_FOUND)

if (Qca-qt5_FOUND)
    target_link_libraries(kgetcore qca-qt5)
endif ()

if (Gpgmepp_FOUND)
    target_link_libraries(kgetcore QGpgme Gpgmepp)
    kde_enable_exceptions()
endif()


set_target_properties(kgetcore PROPERTIES VERSION 5.0.0 SOVERSION 5 )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# kget

set(kget_SRCS ${kget_adaptor_SRCS} ${kget_transfer_adaptor_SRCS}
   kget_debug.cpp
   conf/autopastemodel.cpp
   conf/integrationpreferences.cpp
   conf/dlgwebinterface.cpp
   conf/preferencesdialog.cpp
   conf/transfersgrouptree.cpp
   conf/transfersgroupwidget.cpp
   conf/pluginselector.cpp
   conf/verificationpreferences.cpp
   ui/droptarget.cpp
   ui/transfersview.cpp
   ui/transfersviewdelegate.cpp
   ui/transferdetails.cpp
   ui/viewscontainer.cpp
   ui/newtransferdialog.cpp
   ui/groupsettingsdialog.cpp
   ui/transfersettingsdialog.cpp
   ui/contextmenu.cpp
   ui/tray.cpp
   ui/history/rangetreewidget.cpp
   ui/history/transferhistory.cpp
   ui/history/transferhistoryitemdelegate.cpp
   ui/history/transferhistorycategorizeddelegate.cpp
   ui/history/transferhistorycategorizedview.cpp
   ui/linkview/kget_linkview.cpp
   ui/linkview/kget_sortfilterproxymodel.cpp
   ui/mirror/mirrorsettings.cpp
   ui/mirror/mirrormodel.cpp
   ui/renamefile.cpp
   ui/verificationdialog.cpp
   ui/metalinkcreator/metalinkcreator.cpp
   ui/metalinkcreator/generalwidget.cpp
   ui/metalinkcreator/metalinker.cpp
   ui/metalinkcreator/filedlg.cpp
   ui/metalinkcreator/localemodels.cpp
   ui/metalinkcreator/dragdlg.cpp
   ui/metalinkcreator/urlwidget.cpp
   ui/metalinkcreator/filehandler.cpp
   ui/signaturedlg.cpp
   mainwindow.cpp
   main.cpp

   #extensions/webinterface/httpserver.cpp
)

qt5_add_dbus_adaptor(kget_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)

ki18n_wrap_ui(kget_SRCS
   conf/dlgadvanced.ui
   conf/dlgappearance.ui
   conf/dlggroups.ui
   conf/dlgintegration.ui
   conf/dlgwebinterface.ui
   conf/dlgnetwork.ui
   conf/verificationpreferences.ui
   ui/transferdetailsfrm.ui
   ui/newtransferwidget.ui
   ui/history/transferhistory.ui
   ui/groupsettingsdialog.ui
   ui/transfersettingsdialog.ui
   ui/linkview/importlinkdialog.ui
   ui/mirror/mirrorsettings.ui
   ui/mirror/mirroradddlg.ui
   ui/renamefile.ui
   ui/verificationdialog.ui
   ui/verificationadddlg.ui
   ui/metalinkcreator/introduction.ui
   ui/metalinkcreator/generalwidget.ui
   ui/metalinkcreator/files.ui
   ui/metalinkcreator/filedlg.ui
   ui/metalinkcreator/dragdlg.ui
   ui/metalinkcreator/urlwidget.ui
   ui/metalinkcreator/commondata.ui
   ui/signaturedlg.ui
)

#kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

add_executable(kget ${kget_SRCS})

target_link_libraries(kget Qt5::Core Qt5::Widgets Qt5::Sql Qt5::Network Qt5::DBus KF5::Wallet KF5::DBusAddons KF5::I18n KF5::CoreAddons KF5::IconThemes KF5::KCMUtils KF5::NotifyConfig KF5::KDELibs4Support kgetcore)
if(Qca_FOUND)
  target_link_libraries(kget qca)
endif()
if(CMAKE_BUILD_TYPE MATCHES debugfull)
  target_link_libraries(kget Qt5::Test)
endif()

if (QGpgme_FOUND)
  target_link_libraries(kget QGpgme)
endif()

install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES kget.categories DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES org.kde.kget.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES) 
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== extensions/konqueror/CMakeLists.txt ===
project (kget_browser_integration)

set(kget_browser_integration_SRCS
   kget_plug_in.cpp
)

QT5_ADD_DBUS_INTERFACE(kget_browser_integration_SRCS ../../dbus/org.kde.kget.main.xml kget_interface )

add_library(kget_browser_integration MODULE ${kget_browser_integration_SRCS})

target_link_libraries(kget_browser_integration ${KDE4_KDECORE_LIBS})

install(TARGETS kget_browser_integration DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/khtml/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/dolphinpart/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins)

=== debian/changelog ===
kget (4:18.12.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Add upstream signing key.
  * Update build-deps and deps with the info from cmake
  * Remove not needed Build-Dependencies.
  * Update copyright file for new upstream.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies:
    - bump all the Qt ones to >= 5.7.0
    - bump all the KF5 ones to >= 5.44.0
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Dec 2018 15:50:32 +0100

kget (4:18.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the plasma-workspace-dev build dependency on Linux only, to enable the
    integration with the workspace.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump Standards-Version to 4.1.4, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 08 May 2018 10:56:35 +0200

kget (4:17.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - switches to Qt5/KF5 (Closes: #874958)
  * Update the build dependencies following the port to Frameworks:
    - remove kde-sc-dev-latest, kdelibs5-dev, and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libqt5svg5-dev,
      libkf5completion-dev, libkf5config-dev, libkf5configwidgets-dev,
      libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5doctools-dev,
      libkf5i18n-dev, libkf5iconthemes-dev, libkf5itemviews-dev,
      libkf5kcmutils-dev, libkf5kdelibs4support-dev, libkf5kio-dev,
      libkf5notifications-dev, libkf5notifyconfig-dev, libkf5parts-dev,
      libkf5service-dev, libkf5solid-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, and libqca-qt5-2-dev
  * Update the other build dependencies:
    - add libgpgmepp-dev, and libktorrent-dev, used by the new version
    - add libgpgme-dev to workaround a missing dependency in libgpgmepp-dev
  * Use the right makefile class:
    - use debian-qt-kde.mk v3
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Switch the cmake parameter -DKDE4_BUILD_TESTS=OFF to -DBUILD_TESTING=OFF,
    as this is what ECM provides.
  * Update paths with the local mootools js files to replace.
  * Update the patches:
    - minified_file: refresh
    - disable-plasma.diff: drop, no more needed now
  * Break/replace against kde-l10n that ships translations.
  * Do not ship the translations of the unported Plasma components.
  * Update lintian overrides.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Feb 2018 21:18:24 +0100

kget (4:17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879341)

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Simplify watch file, and switch it to https.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 11 Jan 2018 09:24:44 +0100

## kget 18.12.0%2Bqtbuild

=== debian/changelog ===
kget (4:18.12.0+qtbuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 15:26:01 +0800

## kget 18.12.0+qtbuild

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.44.0~),
               libboost-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5completion-dev (>= 5.44.0~),
               libkf5config-dev (>= 5.44.0~),
               libkf5configwidgets-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5dbusaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5kcmutils-dev (>= 5.44.0~),
               libkf5kdelibs4support-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5notifications-dev (>= 5.44.0~),
               libkf5notifyconfig-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5solid-dev (>= 5.44.0~),
               libkf5textwidgets-dev (>= 5.44.0~),
               libkf5wallet-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5windowsystem-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               libktorrent-dev (>= 2.1~),
               libmms-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-workspace-dev [linux-any],
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.3.0
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

## kget 18.12.3

=== debian/changelog ===
kget (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:28:44 +0000

kget (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:16:03 +0000

kget (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:10:49 +0000

kget (4:18.12.0-1ubuntu1) disco; urgency=medium

  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - d/upstream/metadata: Update KDE Vcs urls to current cgit.
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 04 Jan 2019 14:47:28 +0000

kget (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.08.3-0ubuntu3~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 14 Dec 2018 08:53:13 +0000

=== debian/control ===
--- 
+++ 
@@ -45,8 +45,8 @@
                qtbase5-dev (>= 5.7.0~),
 Standards-Version: 4.3.0
 Homepage: http://www.kde.org/
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kget
 
 Package: kget
 Section: net

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,13 @@
 include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
 
+override_dh_auto_configure:
+	$(overridden_command) -- -DBUILD_TESTING=OFF
+
 override_dh_auto_install:
 	$(overridden_command)
 	# remove dev .so symlinks, we aren't shipping dev suff for these
 	find debian/kget -name '*.so' -type l -print -delete
+	# remove translations of unbuilt plasma stuff
+	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_applet_kget.mo
+	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_runner_kget.mo

## kget 19.04.3

=== debian/changelog ===
kget (4:19.04.3-0ubuntu2) eoan; urgency=medium

  * No-change rebuild against libktorrent6 -> libkf5torrent6 soname
    change.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Sep 2019 15:30:02 +0100

kget (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:14:22 +0100

kget (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:05:48 +0100

kget (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:58:11 +0100

kget (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:43:40 +0100

## kget 19.12.0

=== debian/changelog ===
kget (4:19.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.55.0
    - remove libkf5solid-dev
    - add libkf5crash-dev
    - explicitly add gettext
  * Unregister kget.categories as conffile, as it is no more in /etc.
  * Bump Standards-Version to 4.4.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 08 Jan 2020 23:25:44 +0100
